Navigation

Which iOS devices are supported?

Mobilizr supports all iPhone operating system from iOS8 and above. To use Mobilizr, you require either iPhone 5, 5C, 6, 6S, 7 or 7s. This means Mobilizr DOES NOT SUPPORT the iPhone 4 / iOS7.